summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-10-26 08:04:25 +0100
committerMichał Górny <mgorny@gentoo.org>2020-10-26 08:38:52 +0100
commit9312276bcda253a5d85c5fc61f5658e51a6bfd43 (patch)
treed0c089cf122caa3f7773a27aee0a9f007325cfa3
parentdev-python/markdown: Bump to 3.3.3 (diff)
downloadgentoo-9312276bcda253a5d85c5fc61f5658e51a6bfd43.tar.gz
gentoo-9312276bcda253a5d85c5fc61f5658e51a6bfd43.tar.bz2
gentoo-9312276bcda253a5d85c5fc61f5658e51a6bfd43.zip
dev-python/cryptography: Bump to 3.2
Bug: https://bugs.gentoo.org/751292 Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/cryptography/Manifest2
-rw-r--r--dev-python/cryptography/cryptography-3.2.ebuild53
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index fb3b1a36457..0fb36591d04 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -1,4 +1,6 @@
DIST cryptography-3.0.tar.gz 534725 BLAKE2B f6f4d5cfcf42a9ca2288bdc7c61bd0ae2f98999868951798f358d6ec9dbbcddb31102b0954f983bb9c118df53a8483e74aa2395ce366a9a97b6b9164b0044bd2 SHA512 4fca5d0e59f02f23c7e2d5c80f86e4cf36eeeb9a128e7b3332a91aa0b9dcdd3282a882a88ea34ffba1e91687eb6d1fc1042774f1e30970e9bf56ee701c32ac15
DIST cryptography-3.1.tar.gz 534747 BLAKE2B 3225625a69ef3279ae7f763e04b884c0d46a0524624685bba1836e8076d13a7a360ed75f69e62427e191eff86fd9882bd09a5352492ea8bd558842ca67bf3b70 SHA512 c015df3a71e4c274b2fb8fd954d264c8b56443644048139113f548c69cf83798b73c9f0993609f338044df92b609723b0281ce61ed2751309a122de22060037e
+DIST cryptography-3.2.tar.gz 540815 BLAKE2B be4edd5d4cd9564e8622284ff9b1d3a7cc7d6e46cfa790d8e1cfa1ce389c5d628e39b056dc5cba3b94ab3fa45603df73a7b4ebd9d1c70fc88c457780f6616311 SHA512 0096e6408b5868cc0b5e6f67945e4200bb943a00ac803546048fa4d332f81af4a224b2d67b911ee8da1ad086120935d7d557fc70a739ecffb22f408ee9b8d09e
DIST cryptography_vectors-3.0.tar.gz 35156155 BLAKE2B 987fa88873bb3ec9745a150906e868c1aea14bb9e618c5c65348deb4e8618f89b15a8d70ea6ed0760649505f5649dd2fbf1e40fadad193faf3a92922ed234025 SHA512 a24c6f25c0acf79cea534fc86d61d9697c004a18204043457cf1a955751e8313893c63258f82ada523a9608b7ec0e5a7a7047ddcbd20e0c55d7c6392bc61c24f
DIST cryptography_vectors-3.1.tar.gz 35163687 BLAKE2B c381781950bf5399c15fe329fc28cf35933936a2130bbf18909f31f1bbd764a69a8816327e968d3810790b8404e3ae5af25b3d390da3015533f5c52f8a0cd0cf SHA512 094076a26ba4cae1bf0408844abbb9b3a5634f97657e4627e10b8a7c7424b69574fd9d719d5c258aa02244bee8b395f09c51af79350971072b2f9719446743c1
+DIST cryptography_vectors-3.2.tar.gz 35168065 BLAKE2B ebd915eee9b91bd61445bcb442d3052972b1463132b8e63343832baa27c25566e22ca9f50c9d4ea73cb12185f9228144eaac4bf5cc68a3bd79f347fe2d021adc SHA512 bb0d00c8a66fd328ef38b0008519856a14d35b6fd634a6f67ea5530775d36538fbd326326c3f0cd962b1a008c21f2aded4d733f97bc12577679ed8be67b858bc
diff --git a/dev-python/cryptography/cryptography-3.2.ebuild b/dev-python/cryptography/cryptography-3.2.ebuild
new file mode 100644
index 00000000000..c0d4715e4df
--- /dev/null
+++ b/dev-python/cryptography/cryptography-3.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing
+
+VEC_P=cryptography_vectors-${PV}
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ https://pypi.org/project/cryptography/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ test? ( mirror://pypi/c/cryptography_vectors/${VEC_P}.tar.gz )"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="libressl idna"
+
+RDEPEND="
+ >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+ idna? ( >=dev-python/idna-2.1[${PYTHON_USEDEP}] )
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
+ ' 'python*')
+ "
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+DEPEND="
+ !libressl? ( >=dev-libs/openssl-1.0.2o-r6:0= )
+ libressl? ( >=dev-libs/libressl-2.9.1:0= )
+ "
+RDEPEND+=${DEPEND}
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+ local -x PYTHONPATH=${PYTHONPATH}:${WORKDIR}/${VEC_P}
+ pytest -vv -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" ||
+ die "Tests fail with ${EPYTHON}"
+}